FKME FLAM Key Management Exit (FKME) Service Provider Interface (SPI)

Typedefs
FKME function

This is the only function which must be provided as DLL/SO or load module to fulfill the FLAM Key Management Exit (FKME) Service Provider Interface (SPI). More...

## Typedefs
typedef void | TfFlamKme(const U32 *piFuco, I32 *piRetco, const U32 *piParLen, const C08 *pcParam, U32 *piDataLen, U08 *pcData, U32 *piKeyLen, U08 *pcKey, U32 *piMsgLen, C08 *pcMessage)
| FKME main function. More...

## Detailed Description

This is the only function which must be provided as DLL/SO or load module to fulfill the FLAM Key Management Exit (FKME) Service Provider Interface (SPI).

## Typedef Documentation

## ◆ TfFlamKme

typedef void TfFlamKme(const U32 *piFuco, I32 *piRetco, const U32 *piParLen, const C08 *pcParam, U32 *piDataLen, U08 *pcData, U32 *piKeyLen, U08 *pcKey, U32 *piMsgLen, C08 *pcMessage)

FKME main function.

This is the main function which must be implemented for user specific key management of a FLAM$FILE.

The return code must be set as output parameter by the service provider. The function code is an input parameter and contains one of the values defined in this section. Depending on the provided function code the `pcCryKey` and `pcData` are handled in different ways. As last parameter pair a info or error message must be provided by the service.

Parameters

  [in] | piFuco | INTEGER Function code
  [out] | piRetco | INTEGER Return code
  [in] | piParLen | INTEGER Parameter length
  [in] | pcParam | POINTER Input parameter
  [in,out] | piDataLen | INTEGER Data length
  [in,out] | pcData | POINTER Data (black box)
  [in,out] | piKeyLen | INTEGER Key length
  [in,out] | pcKey | POINTER Key
  [out] | piMsgLen | INTEGER Message length
  [out] | pcMessage | POINTER Message